# List authorization events

`GET /issuing/{accountID}/authorizations/{authorizationID}/events`

API version: `v2026.07.00`. Send `X-Moov-Version: v2026.07.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

List card network and Moov platform events that affect the authorization and its hold on a wallet balance.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) 
you'll need to specify the `/accounts/{accountID}/issued-cards.read` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.07.00`. |
| `accountID` | path | string | Yes | The Moov business account for which cards have been issued. |
| `authorizationID` | path | string | Yes |  |
| `skip` | query | integer (int64) |  | The number of entries to skip when paginating a large result set. |
| `count` | query | integer (int64) |  | Page size. When omitted, the server defaults to `200`. |

## Response 200

The request completed successfully.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].eventID` | string | Yes | The identifier for this event. Use the `eventType` field to determine what resource is identified by this ID (`authorization`, `reversal`, etc.). |
| `[].eventType` | string | Yes | The type of event that occurred on the card. Values: `authorization`, `reversal`, `authorization-advice`, `authorization-expiration`, `authorization-incremental`, `clearing`. |
| `[].amount` | string (^\d+\.\d{1,2}$) | Yes | A decimal-formatted numerical string that represents up to 2 decimal place precision. In USD for example, 12.34 is $12.34 and 0.99 is $0.99. |
| `[].result` | string | Yes | The result of an event. Values: `approved`, `declined`, `processed`. |
| `[].createdOn` | string (date-time) | Yes |  |
| `[].declineReason` | string |  | The reason an authorization or authorization event was declined. Only present if the authorization or event has been declined. Values: `insufficient-funds`, `card-not-active`, `card-expiration`, `spend-cutoff-reached`, `outside-allowed-schedule`, `spend-limit-exceeded`, `merchant-category-not-supported`, `merchant-category-restricted`, `merchant-restricted`, `merchant-country-not-supported`, `unsupported-transaction`, `network-stand-in`, `declined-by-issuer`, `invalid-request`, `system-error`. |

## Errors

| Status | Meaning |
| --- | --- |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X GET "https://api.moov.io/issuing/{accountID}/authorizations/{authorizationID}/events" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.issuingTransactions.listAuthorizationEvents({
    accountID: "f30f8cb3-64d8-4a5f-a427-965317fa559a",
    authorizationID: "e6a0946d-f3d8-451e-9b1c-5bc346a95dd6",
    skip: 60,
    count: 20,
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/money-movement/issuing/list-authorization-events/
